> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/account-resources/getdelegatedresourceaccountindex.md).

# GetDelegatedResourceAccountIndex

Query the resource delegation during stake 2.0 by an account. i.e. list all addresses that have delegated resources to an account (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `value` - String - Address, default hexString
* `visible` - Boolean - Optional - Specifies whether the address is in Base58 format (default: false).

## **Returns**

delegatedResource - List: Resource delegation list, each resource delegation information includes below fields:

| Field                           | Type   | Description                                                                      |
| ------------------------------- | ------ | -------------------------------------------------------------------------------- |
| from                            | string | owner address                                                                    |
| to                              | string | recipient address                                                                |
| frozen\_balance\_for\_bandwidth | int64  | amount of TRX staked for bandwidth delegated from `from` address to `to` address |
| frozen\_balance\_for\_energy    | int64  | amount of TRX staked for energy delegated from `from` address to `to` address    |
| expire\_time\_for\_bandwidth    | int64  | Lock-up period deadline for bandwidth delegation                                 |
| expire\_time\_for\_energy       | int64  | Lock-up period deadline for energy delegation                                    |

Note that if the field value is 0 or null, the field will not be displayed in the returned result. For delegation deadlines, expire\_time\_for\_bandwidth or expire\_time\_for\_energy will be 0 if no lock is specified when delegating resources, and does not been displayed.

```json
// Result
{
  "account": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getdelegatedresourceaccountindex \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "value": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/account-resources/getdelegatedresourceaccountindex.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
